How to solve Error while trying to install guzzle with composer? - php

I'm getting the following error message when i try to install guzzle with composer require guzzlehttp/guzzle:
You are running Composer with SSL/TLS protection disabled.
The "https://repo.packagist.org/packages.json" file could not be downloaded:
https://repo.packagist.org could not be fully loaded, package information was loaded from the local cache and may be out of date
The "https://repo.packagist.org/packages.json" file could not be downloaded:
https://repo.packagist.org could not be fully loaded, package information was loaded from the local cache and may be out of date
[Composer\Downloader\TransportException]
The "https://passthrough.fw-notify.net/static/auth_transparent.html?return=http://repo.packagist.org/p/guzzlehttp/guzzle%24b1cfe2f977a75ca671f5b311f8d4163989b8b742599dcfee07d767f01c8cd0e5.json" file could not be downloaded: SSL operation failed with code 1. Op
enSSL Error messages:
error:1416F086:SSL routines:tls_process_server_certificate:certificate verify failed
Failed to enable crypto
failed to open stream: operation failed
I tried to remove the semicolon before extension=openssl in my php.ini file. When its removed it throws:
PHP Warning: Module 'openssl' already loaded in Unknown on line 0
PHP Warning: Module 'openssl' already loaded in Unknown on line 0

Related

Can't install Composer, error in install already try several solutions

When the installation of Composer program starts this error occurs:
The Composer installer script was not successful [exit code 1].
OpenSSL failed with a 'certificate verify failed' error. This
indicates a problem with the Certificate Authority file(s) on your
system, which either cannot be found or may be out of date.
Script Output: The "https://getcomposer.org/versions" file could not
be downloaded: SSL operation failed with code 1. OpenSSL Error
messages: error:1416F086:SSL
routines:tls_process_server_certificate:certificate verify failed
Failed to enable crypto failed to open stream: operation failed
I've already looked for some solutions on the internet, like deleting the; in the php.ini file but no solution so far.

composer dropping 2nd slash after https: in url

php Composer was working fine and then I updated and now I get this message with nothing else changed. Notice the 2nd backslash in https:\ is missing.
Failed: [Composer\Downloader\TransportException] 0: The "https:\xxx.xxxxxx.com/repos/release-belt/releases/Key-Words-1.00.zip" file could not be downloaded: failed to open stream: No such file or directory
the packages.json file did not change and has https:\xxx.xxxxx.com. I'm using Slim to handle the download on the server

file_get_contents() SSL error

I followed a certain tutorial found here to install Wordpress onto App Engine, using a SQL Cloud Database.
I'm up to the point when I have to run the setup script to download the Wordpress archive and plugins. When that command is ran I get the following errors:
Downloading the WordPress archive...
Warning: file_get_contents(): SSL operation failed with code 1. OpenSSL Error messages:
error:14090086:SSL routines:SSL3_GET_SERVER_CERTIFICATE:certificate verify failed in /Users/Me/Sites/Blog/src/Project.php on line 47
Warning: file_get_contents(): Failed to enable crypto in /Users/Me/Sites/Blog/src/Project.php on line 47
Warning: file_get_contents(https://wordpress.org/latest.zip): failed to open stream: operation failed in /Users/Me/Sites/Blog/src/Project.php on line 47
I've looked at multiple resources to combat this issue such as, this one, where they suggest to set the verification to the peer to false, but I do not have that option within this project. I also found that someone suggested to use curl instead but I'm unsure how to use that without breaking the project.

Error importing phing task file but the file is present there

2.4.12 build. i have placed the phing file inside /opt/phing and added
lines to the .bashrc.
export PHP_COMMAND=/usr/bin/php
export PHING_HOME=/opt/phing
export PHP_CLASSPATH=${PHING_HOME}/classes
export PATH=${PATH}:${PHING_HOME}/bin
I am able to run the basic phing script but when i am using svnExportDiffTask it is throwing error.
[PHP Error] include_once(phing/tasks/ext/svn/SvnExportDiffTask.php):
failed to open stream: No such file or directory
[line 1057 of /opt/phing/classes/phing/Phing.php]
[PHP Error] include_once(): Failed opening 'phing/tasks/ext/svn/SvnExportDiffTask.php'
for inclusion (include_path='/opt/phing/classes:.:/home/prateek/work/bitnami/php/lib/php')
[line 1057 of /opt/phing/classes/phing/Phing.php]
[foreach] Error importing phing/tasks/ext/svn/SvnExportDiffTask.php
Execution of target "getcode" failed for the following reason:
/home/prateek/work/build/build.xml:31:35:
Execution of the target buildfile failed. Aborting.
BUILD FAILED
/home/prateek/work/build/build.xml:31:35:
Execution of the target buildfile failed. Aborting.
Can anyone help me on this.
Install phing via the PEAR installer, so that you get all dependencies automatically installed. It will solve most of your problems.

Trying to run a test, but get a fatal error

I configured the external tool correctly. As soon as I start to run a test case I get this error:
Failed loading C:\PHP\5.2.13\ext\php_xdebug.dll
PHP Warning: PHP Startup: Unable to load dynamic library 'C:/PHP/5.2.13/ext\php_oci8.dll' - The specified module could not be found. in Unknown on line 0
PHP Warning: require_once(../../../application/cl/Dict.inc): failed to open stream: No such file or directory in C:\xxx\abc\abbb\application\cl\DictTest.php on line 5
PHP Fatal error: require_once(): Failed opening required '../../../application/cl/Dict.inc' (include_path='.;C:\PHP\5.2.13\pear\') in C:\xxx\abc\abbb\application\cl\DictTest.php on line 5
What could it be?
I can assure this is due to installation path problems.
Did you install phpUnit through pear or separately? if you have installed by PEAR, did you set up the PEAR path in php.ini file?

Resources